Source: hdbc
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 John Goerzen <jgoerzen@complete.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8.4.3),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-convertible-dev (>= 1.1.0.0),
 libghc-convertible-prof,
 libghc-utf8-string-dev,
 libghc-utf8-string-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-convertible-doc,
 libghc-utf8-string-doc,
Standards-Version: 4.1.4
Homepage: https://github.com/hdbc/hdbc
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/hdbc
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/hdbc]

Package: libghc-hdbc-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 libghc-hdbc-missingh-dev,
 libghc-hdbc-postgresql-dev | libghc-hdbc-sqlite3-dev,
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Haskell Database Connectivity, GHC package
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 HDBC is modeled loosely on Perl's DBI interface, though it has also been
 influenced by Python's DB-API v2, JDBC in Java, and HSQL in Haskell.
 .
 To use HDBC, you'll need both this package, and a driver package such
 as libghc-hdbc-postgresql-dev.

Package: libghc-hdbc-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Haskell Database Connectivity, GHC profiling data
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This package provides profiling information for using
 HDBC with GHC.

Package: libghc-hdbc-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 haskell-hdbc-doc (<< 2.2.3-2),
Provides:
 haskell-hdbc-doc,
 ${haskell:Provides},
Replaces:
 haskell-hdbc-doc (<< 2.2.3-2),
Description: Haskell Database Connectivity, Documentation
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 HDBC is modeled loosely on Perl's DBI interface, though it has also been
 influenced by Python's DB-API v2, JDBC in Java, and HSQL in Haskell.
